%% Table 5 - Benchmark welfaree gains from competition - GHH preferences
clear all;clc;
fprintf('Running: Table_5_Benchmark_Welfare_Gains_GHH.m\n');
%__________________________________________________________________________
% IMPORT RESULTS: Output from Compute_welfare_results.m
Y                           = load('Created_mat_files/Outputs_welfare'); 
lambda_non_ghh_vec          = Y.lambda_non_ghh_vec; % Hold sigma at 0, vary frisch
dhhi_wtd_vec                = Y.dhhi_wtd_vec;
dhhi_uwtd_vec               = Y.dhhi_uwtd_vec;
Wage_percent_change_vec     = Y.Wage_percent_change_vec;
Output_percent_change_vec   = Y.Output_percent_change_vec;
Nbodies_percent_change_vec  = Y.Nbodies_percent_change_vec;
frac_omega                  = Y.frac_omega;
frac_mu                     = Y.frac_mu;
varphi_vec                  = Y.varphi_vec;
sigma_vec                   = Y.sigma_vec;
%__________________________________________________________________________
% TABLE
fprintf('Created_table_files/Table_5_Benchmark_Welfare_Gains_GHH\n');
fid = fopen('Created_table_files/Table_5_Benchmark_Welfare_Gains_GHH.tex','w');
fprintf(fid,'\\begin{tabular}{cccccccccc}\n');
fprintf(fid,'\\toprule\n');
fprintf(fid,'  \\multicolumn{1}{c}{\\textbf{Frisch elasticity}} & \\multicolumn{3}{c}{\\textbf{A. Welfare}} & & \\multicolumn{3}{c}{\\textbf{B. Aggregates}} & & \\multicolumn{1}{c}{\\textbf{C. Concentration}}  \\\\ \n');
fprintf(fid,' \\cmidrule{2-4} \\cmidrule{6-8} \\cmidrule{10-10} \n');
fprintf(fid,'   & \\multicolumn{1}{c}{Steady state}  & \\multicolumn{1}{c}{\\%% Due to $\\boldsymbol{\\omega}$} & \\multicolumn{1}{c}{\\%% Due to $\\boldsymbol{\\mu}$}  & &  \\multicolumn{1}{c}{Output} & \\multicolumn{1}{c}{Ave. wage} & \\multicolumn{1}{c}{Employment}   & &   \\multicolumn{1}{c}{Weighted}   \\\\ \n');
fprintf(fid,' \\multicolumn{1}{c}{$\\varphi$} & \\multicolumn{1}{c}{$\\lambda\\times 100$} & \\multicolumn{1}{c}{$\\lambda^{\\boldsymbol{\\omega}}/\\lambda$}  & \\multicolumn{1}{c}{$\\lambda^{\\boldsymbol{\\mu}}/\\lambda$} & & \\multicolumn{1}{c}{\\%% change} & \\multicolumn{1}{c}{\\%% change} & \\multicolumn{1}{c}{\\%% change} & & \\multicolumn{1}{c}{$\\Delta{HHI^{wn}}$} \\\\ \n');
fprintf(fid,'\\midrule\n');
%__________________________________________________________________________ 
% GO OVER VALUES OF FRSICH ELASTICITY: vv={1,2,3}:
for vv=(1:3)
    fprintf(fid,'%2.2f & %2.1f & %3.1f & %3.1f  & & %3.1f & %3.1f & %3.1f & & %3.2f \\\\ \n',...
        varphi_vec(vv),100*lambda_non_ghh_vec(vv,1),100*frac_omega(vv),100*frac_mu(vv),...
        Output_percent_change_vec(vv),Wage_percent_change_vec(vv),Nbodies_percent_change_vec(vv),...
        dhhi_wtd_vec(vv));
end
%_________________________________________________________________________
fprintf(fid,'\\bottomrule \n');
fprintf(fid,'\\end{tabular}');
fclose(fid);
